Subject: bug#66268: Guix makes invalid assumptions regarding guile-git guarantees leading to guix pull failing

From: Ludovic Courtès <[email-masked]>
Date: Thu, 17 Apr 2025 22:24:07 +0200

Hello,

Tomas Volf <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> Taking a step back, I think we can sidestep the issue entirely.  Based
>> on 45mg’s initial work, I added (git graph).  This includes
>> ‘graph-descendant?’, which is all we need in (guix git).
>>
>> So I think I’ll revert the offending commit
>> (cd91dc908ac4b215bc87a97455ff64ed4d89b721) and then come up with a patch
>> in Guix to use ‘graph-descendant?’ instead of our home-made graph
>> traversal code.
>>
>> How does that sound?
>
> I think that sounds like a great plan.  Using the new graph-descendant?
> should make the code both correct and faster, so win-win. :)

Yup!

I tagged Guile-Git 0.10.0 and sent this patch:

  https://issues.guix.gnu.org/77875

Thanks for your feedback!

Ludo’.